///
/// A 2-d (x,y) position
///

#ifndef __POSITION_H__
#define __POSITION_H__

class Position {
 protected:
  int x, y;

 public:
  Position();
  Position(int init_x, int init_y);
  ~Position();
  int getX();
  int getY();
  void setX(int new_x);
  void setY(int new_y);
};

#endif //__POSITION_H__

